
QGIS Application - Bug report #5338

QGIS master crashes adding a WFS layer on OsX Snow Leopard

2012-04-10 09:35 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:1.8.0 Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:Yes Copied to github as #: 15038

Description

subject says it all (error message is seg fault). Using William Kyngesburye packages.

Related issues:

Related to QGIS Application - Bug report # 5597: External URL access via PyQt... Closed 2012-05-14

History

#1 - 2012-04-10 04:38 PM - William Kyngesburye

Do you get a crash report?  What's it say?

#2 - 2012-04-11 01:58 AM - Giovanni Manghi

- File QGIS_2012-04-11-095445_mymac-2.crash added

William Kyngesburye wrote:

Do you get a crash report?  What's it say?

attached

#3 - 2012-04-11 06:39 AM - William Kyngesburye

Are you sure you have my most recent dev build from 3/11?  I can (and should) also make a new one.

#4 - 2012-04-11 06:43 AM - Giovanni Manghi

William Kyngesburye wrote:

Are you sure you have my most recent dev build from 3/11?  I can (and should) also make a new one.

it was updated yesterday before hitting the issue (using the packages from your site). If you think is necessary I can try again.

#5 - 2012-04-11 07:17 AM - William Kyngesburye
Odd, your crash report showed it using GDAL 1.8, and the 3/11 dev build uses with GDAL 1.9.

... a closer look at the crash report, I see BOTH GDAL 1.8 and 1.9.  QGIS is loading 1.9 and osgEarth is loading 1.8, though the globe plugin is using 1.9.  I

forgot to rebuild osgEarth.  I realize it's nothing to do with WFS directly, but it could still confuse QGIS.

Do you have a WFS URL I can try?  I'll build a new QGIS tonight and try it out.

#6 - 2012-04-11 07:20 AM - Giovanni Manghi

William Kyngesburye wrote:

Odd, your crash report showed it using GDAL 1.8, and the 3/11 dev build uses with GDAL 1.9.

... a closer look at the crash report, I see BOTH GDAL 1.8 and 1.9.  QGIS is loading 1.9 and osgEarth is loading 1.8, though the globe plugin is

using 1.9.  I forgot to rebuild osgEarth.  I realize it's nothing to do with WFS directly, but it could still confuse QGIS.

The laptop has both 1.7.4 and master... are both compiled against gdal 1.9?

Do you have a WFS URL I can try?  I'll build a new QGIS tonight and try it out.

here it is http://mapas.igeo.pt/wfs/sc500k.1

#7 - 2012-04-11 06:18 PM - William Kyngesburye

- Affected QGIS version changed from master to 1.8.0

- Operating System changed from OsX Snow Leopard to OS X

OK, I can confirm that on even current master and release-1_8 WFS crashes, and on OS X Lion.  Similar trace, slight differences in the middle, but still

ending on that QgsCustomization::preNotify() call.  It crashes in the Connect process - click Connect, a list of layers is retrieved successfully, then crash.

v1.7.4 does not crash.  All versions using Qt 4.8.

So, it doesn't look like a build issue, and is beyond me.  Someone pick up the ball on this...

#8 - 2012-04-12 12:35 AM - Giovanni Manghi

I added as watchers both Marco and Bill because they worked on the wfs client lately.

#9 - 2012-04-14 04:54 AM - Bill Clay

William, I have no Mac platform upon which to test and I cannot reproduce the problem you report running Qgis-master 1.9.90-Alpha rev. 5148d5f on Linux

with Qt 6.6.2.  However, if you could provide some follow-up information, I'll try to forge ahead on the issue.

You report the crash occurs after you click on Connect and a list of layers is successfully retrieved.  You see a list of layers populate in the dialog box and

then see an immediate and spontaneous crash with no further manual input of any kind, correct?  Or do you get further?

Would you be able to recompile and test with CMAKE_BUILD_TYPE=Debug?  If so, could you send me the console output along with the crash
traceback?

The locus of the crash is a long way away from any code I've touched (or even ever looked at), but maybe I'll get lucky and/or inspired by something in the

debug output.

Giovanni and/or Marco:  If you are at the Lyon code sprint and the weather is as dreary as it is here in Modena this weekend, maybe you'd have time to

rustle up an OsX box upon which you can test for this more effectively than can I?  If so, please let me know so we don't duplicate effort needlessly.

Thanks for the report, William!

#10 - 2012-04-14 06:11 AM - Giovanni Manghi

Giovanni and/or Marco:  If you are at the Lyon code sprint and the weather is as dreary as it is here in Modena this weekend, maybe you'd have time

to rustle up an OsX box upon which you can test for this more effectively than can I?  If so, please let me know so we don't duplicate effort

needlessly.

Hi Bill,

yes we are the developer meeting. Many people with ultrabooks but no Macs on sight :(

#11 - 2012-04-14 07:53 AM - William Kyngesburye

- File QGIS_2012-04-14-094025_Sumomo.crash added

- File wms_crash_debug.txt added

Here's the gory details.

The crash trace ends a little different this time, and I didn't see the list of available layers this time.

The first part of the console is from opening the Add WFS layer dialog.  The second part is after clicking the connect button up to the crash.

#12 - 2012-04-16 04:18 AM - Giovanni Manghi

- Priority changed from Normal to High

#13 - 2012-05-23 01:58 AM - Larry Shaffer

Working on #5597 it looks like Jürgen Fischer may have fixed this.

https://gist.github.com/2771300

#14 - 2012-05-23 06:10 AM - Giovanni Manghi

- Status changed from Open to Feedback

Larry Shaffer wrote:

Working on #5597 it looks like Jürgen Fischer may have fixed this.

https://gist.github.com/2771300
I don't have a Mac to make a new test, do you confirm is fixed?

#15 - 2012-05-23 11:35 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Feedback to Closed

fixed in commit:860f66d

#16 - 2012-05-23 08:14 PM - William Kyngesburye

Yeah, no crash now for me.

Files

QGIS_2012-04-11-095445_mymac-2.crash 61.8 KB 2012-04-10 Giovanni Manghi

QGIS_2012-04-14-094025_Sumomo.crash 73.1 KB 2012-04-14 William Kyngesburye

wms_crash_debug.txt 24.2 KB 2012-04-14 William Kyngesburye
